/*
* Copyright 2004,2005 The Apache Software Foundation.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*      http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/
package org.wso2.esb.services.tos;

import org.apache.axiom.om.OMElement;
import org.apache.synapse.endpoints.utils.EndpointDefinition;

/**
 *
 *
 */

public class WSDLEndpointData implements EndpointData {
    private int type = 1;
    private String name;
    private long suspendDurationOnFailure;
    private EndpointDefinition endpointDefinition;
    private OMElement inLineWSDL;
    private String service;
    private String uri;
    private String port;
    public WSDLEndpointData() {

    }
    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public EndpointDefinition getEndpointDefinition() {
        return endpointDefinition;
    }

    public void setEndpointDefinition(EndpointDefinition endpointDefinition) {
        this.endpointDefinition = endpointDefinition;
    }

    public String getService() {
        return service;
    }

    public void setService(String service) {
        this.service = service;
    }

    public String getUri() {
        return uri;
    }

    public void setUri(String uri) {
        this.uri = uri;
    }

    public String getPort() {
        return port;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public OMElement getInLineWSDL() {
        return inLineWSDL;
    }

    public void setInLineWSDL(OMElement inLineWSDL) {
        this.inLineWSDL = inLineWSDL;
    }

    public long getSuspendDurationOnFailure() {
        return suspendDurationOnFailure;
    }

    public void setSuspendDurationOnFailure(long suspendDurationOnFailure) {
        this.suspendDurationOnFailure = suspendDurationOnFailure;
    }
}
