/*
 * Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * This js file is for the log mediator specific UI operations
 */


collectdata["pox"] = function collectlogdata(mediator) {

    var pox_value = document.getElementById("pox_value");
    var pox_value_index = null;
    var pox_value_value = null;
    if (pox_value != null)
    {
        pox_value_index = pox_value.selectedIndex;
        if (pox_value_index != null) {
            pox_value_value = pox_value.options[pox_value_index].value;

        }
    }
    if (pox_value_value != null) {
        mediator.setAttribute("value", pox_value_value)
    }

    return true;
};

