/*
 * Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.esb.services.tos;

/**
 *
 *
 */

public class ServiceData {

    private String serviceName;

    private int serviceRequestCount;

    private int serviceResponseCount;

    private int serviceFaultCount;

    private long maxServiceResponseTime;

    private long minServiceResponseTime;

    private double avgServiceResponseTime;

    private String[] operatinNames;


    public int getServiceRequestCount() {
        return serviceRequestCount;
    }

    public void setServiceRequestCount(int serviceRequestCount) {
        this.serviceRequestCount = serviceRequestCount;
    }

    public int getServiceResponseCount() {
        return serviceResponseCount;
    }

    public void setServiceResponseCount(int serviceResponseCount) {
        this.serviceResponseCount = serviceResponseCount;
    }

    public int getServiceFaultCount() {
        return serviceFaultCount;
    }

    public void setServiceFaultCount(int serviceFaultCount) {
        this.serviceFaultCount = serviceFaultCount;
    }

    public long getMaxServiceResponseTime() {
        return maxServiceResponseTime;
    }

    public void setMaxServiceResponseTime(long maxServiceResponseTime) {
        this.maxServiceResponseTime = maxServiceResponseTime;
    }

    public long getMinServiceResponseTime() {
        return minServiceResponseTime;
    }

    public void setMinServiceResponseTime(long minServiceResponseTime) {
        this.minServiceResponseTime = minServiceResponseTime;
    }

    public double getAvgServiceResponseTime() {
        return avgServiceResponseTime;
    }

    public void setAvgServiceResponseTime(double avgServiceResponseTime) {
        this.avgServiceResponseTime = avgServiceResponseTime;
    }

    public String[] getOperatinNames() {
        return operatinNames;
    }

    public void setOperatinNames(String[] operatinNames) {
        this.operatinNames = operatinNames;
    }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }
}
